Summary:	Resource Manager
Summary(pl.UTF-8):	Zarządca zasobów
Name:		resmgr
Version:	1.0
Release:	4
License:	GPL
Group:		Libraries
Source0:	ftp://ftp.lst.de/pub/people/okir/resmgr/%{name}-%{version}.tar.bz2
# Source0-md5:	c231de6ca7d59265eeeccdfcb8090801
Patch0:		%{name}-va_list.patch
Patch1:		%{name}-syslog.patch
Patch2:		%{name}-MAX_PATH.patch
URL:		http://www.lst.de/~okir/resmgr/
BuildRequires:	pam-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The purpose of this Resource Manager is to provide a common framework
for applications such as serial terminal emulators, CD writers,
scanner software, MIDI players.

%description -l pl.UTF-8
Celem tego zarządcy zasobów jest dostarczenie wspólnego szkieletu dla
aplikacji takich jak emulatory terminali szeregowych, nagrywarki CD,
programy do skanowania, odtwarzacze MIDI.

%package devel
Summary:	Header files for resmgr library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki resmgr
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for resmgr library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki resmgr.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -D_GNU_SOURCE"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	LIBDIR=$RPM_BUILD_ROOT%{_libdir} \
	PAMDIR=$RPM_BUILD_ROOT/%{_lib}/security \
	SBINDIR=$RPM_BUILD_ROOT%{_sbindir}

cd $RPM_BUILD_ROOT%{_libdir}
ln -sf libresmgr.so.*.* libresmgr.so

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ANNOUNCE INSTALL README TODO
%attr(755,root,root) %{_sbindir}/resmgr
%attr(755,root,root) %{_sbindir}/resmgrd
%attr(755,root,root) %{_libdir}/libresmgr.so.*.*
%attr(755,root,root) /%{_lib}/security/pam_resmgr.so
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/resmgr.conf
%{_mandir}/man1/resmgr.1*
%{_mandir}/man5/resmgr.conf.5*
%{_mandir}/man8/pam_resmgr.8*
%{_mandir}/man8/resmgrd.8*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libresmgr.so
%{_includedir}/resmgr.h
%{_mandir}/man3/resmgr.3*
%changelog
* Wed Feb 25 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/resmgr.git;a=log;h=master

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 780b6df
- x32 rebuild
- release 4 (by relup.sh)

* Mon Sep 14 2009 tommat <tommat@pld-linux.org> a54d74a
- fix building

* Mon Sep 14 2009 tommat <tommat@pld-linux.org> df9437d
- added MAX_PATH patch and define GNU_SOURCE to allow proper building

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> ca552f1
- add missing include

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> 54d8532
- rel 3
- fix compilation failure due to missing header

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> 42e96bf
- rel 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 3a49442
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 557dfdf
- converted to UTF-8

* Wed Mar 16 2005 havner <havner@pld-linux.org> b0e5651
- va_list patch

* Wed Mar 16 2005 havner <havner@pld-linux.org> 0007685
- wrong usage of va_list fix

* Tue Mar 15 2005 havner <havner@pld-linux.org> 9a17459
- rel 1

* Sun Jan 09 2005 Jakub Bogusz <qboosh@pld-linux.org> 7067120
- new

